cURL
curl --request GET \
--url https://firstpromoter.com/api/v1/payouts/list \
--header 'X-API-KEY: <api-key>'import requests
url = "https://firstpromoter.com/api/v1/payouts/list"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://firstpromoter.com/api/v1/payouts/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 2709255,
"status": "completed",
"amount": 12,
"date_paid": "2024-09-04T15:23:20.630Z",
"due_date": null,
"unit": "points",
"created_at": "2024-09-04T15:23:16.392Z",
"has_issues": false,
"reward": {
"id": 140362,
"amount": 0,
"type": "per_promotion",
"unit": "points",
"name": "Points",
"per_of_sale": 0,
"default_promo_code": null
},
"promoter": {
"id": 8736661,
"status": "active",
"cust_id": null,
"email": "[email protected]",
"created_at": "2024-08-21T17:08:40.500Z",
"temp_password": "api@test1A0",
"default_promotion_id": 10008220,
"pref": "2ejxve3",
"default_ref_id": "i4fth",
"note": null,
"w8_form_url": null,
"w9_form_url": null,
"parent_promoter_id": null,
"earnings_balance": {
"cash": 28800,
"points": 24,
"free_months": 3
},
"current_balance": {
"cash": 28800,
"points": -24,
"free_months": -3
},
"paid_balance": {
"points": 48,
"free_months": 6
},
"auth_token": "pDdv3MnxH86p8s2WxJfMpSJfsYNV6SxX"
},
"campaign": {
"id": 26127,
"name": "Make Campaign",
"landing_url": "https://lastechworld.com",
"description": null,
"private": false,
"color": "#26a69a",
"default_webhook_url": "https://hook.eu1.make.com/mw5u7tb7mnopiriozq8nb6wbeb82omrd",
"auto_approve_rewards": true,
"auto_approve_promoters": true
}
}
]Payouts
List payouts
With this endpoint, you can list all payouts for a promoter, a campaign, or the entire account using the API.
HTTP Request
GET https://firstpromoter.com/api/v1/payouts/listGET
/
list
cURL
Authorizations
Query Parameters
List all payouts assigned to a promoter
List all payouts of a campaign
Filter payouts by status.
Available options:
pending, processing, completed Response
200 - application/json
Success response
Example:
2709255
Example:
"completed"
Example:
12
Example:
"2024-09-04T15:23:20.630Z"
Example:
null
Example:
"points"
Example:
"2024-09-04T15:23:16.392Z"
Example:
false
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I